Index: src/UIElements/TextUI/Query/AtomTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -30,6 +30,6 @@
 #include "World.hpp"
 
-TextDialog::AtomTextQuery::AtomTextQuery(Parameter<const atom *> &param, std::string title, std::string _description) :
-    Dialog::AtomQuery(param, title,_description)
+TextDialog::AtomTextQuery::AtomTextQuery(Parameter<const atom *> &_param, std::string title, std::string _description) :
+    Dialog::AtomQuery(_param, title,_description)
 {}
 
@@ -51,10 +51,10 @@
     }
 
-    const atom * temp_atom = World::getInstance().getAtom(AtomById(idxOfAtom));
-    if(!temp_atom && idxOfAtom!=-1){
+    temp = World::getInstance().getAtom(AtomById(idxOfAtom));
+    if(!temp && idxOfAtom!=-1){
       std::cout << "Invalid Atom Index" << idxOfAtom << std::endl;
       badInput = true;
-    }
-    tmp.set(temp_atom);
+    }else
+      param.set(temp);
 
   } while(badInput);
Index: src/UIElements/TextUI/Query/AtomsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::AtomsTextQuery::AtomsTextQuery(Parameter<std::vector<const atom *> > &param, std::string title, std::string _description) :
-    Dialog::AtomsQuery(param, title,_description)
+TextDialog::AtomsTextQuery::AtomsTextQuery(Parameter<std::vector<const atom *> > &_param, std::string title, std::string _description) :
+    Dialog::AtomsQuery(_param, title,_description)
 {}
 
@@ -44,15 +44,14 @@
   // dissect by " "
   std::string::iterator olditer = line.begin();
-  std::vector<const atom *> temp_atoms;
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
     if (*iter == ' ') {
       std::istringstream stream(std::string(iter, olditer));
       stream >> idxOfAtom;
-      temp = World::getInstance().getAtom(AtomById(idxOfAtom));
-      if(!temp && idxOfAtom!=-1){
+      temp_element = World::getInstance().getAtom(AtomById(idxOfAtom));
+      if(!temp_element && idxOfAtom!=-1){
         std::cout << "Invalid Atom Index" << idxOfAtom << std::endl;
         break;
       }
-      temp_atoms.push_back(temp);
+      temp.push_back(temp_element);
       olditer = iter;
     }
@@ -61,11 +60,11 @@
     std::istringstream stream(std::string(olditer, line.end()));
     stream >> idxOfAtom;
-    temp = World::getInstance().getAtom(AtomById(idxOfAtom));
-    if(!temp && idxOfAtom!=-1) {
+    temp_element = World::getInstance().getAtom(AtomById(idxOfAtom));
+    if(!temp_element && idxOfAtom!=-1) {
       std::cout << "Invalid Atom Index" << idxOfAtom << std::endl;
-      temp_atoms.push_back(temp);
+      temp.push_back(temp_element);
     }
   }
-  tmp.set(temp_atoms);
+  param.set(temp);
 
   return (idxOfAtom!=-1);
Index: src/UIElements/TextUI/Query/BooleanTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::BooleanTextQuery::BooleanTextQuery(Parameter<bool> &param, std::string title, std::string _description) :
-    Dialog::BooleanQuery(param, title,_description)
+TextDialog::BooleanTextQuery::BooleanTextQuery(Parameter<bool> &_param, std::string title, std::string _description) :
+    Dialog::BooleanQuery(_param, title,_description)
 {}
 
@@ -42,7 +42,7 @@
     std::cin >> input;
     if ((input == 'y' ) || (input == 'Y')) {
-      tmp.set(true);
+      param.set(true);
     } else if ((input == 'n' ) || (input == 'N')) {
-      tmp.set(false);
+      param.set(false);
     } else {
       badInput=true;
Index: src/UIElements/TextUI/Query/DoubleTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::DoubleTextQuery::DoubleTextQuery(Parameter<double> &param, std::string title, std::string _description) :
-    Dialog::DoubleQuery(param, title,_description)
+TextDialog::DoubleTextQuery::DoubleTextQuery(Parameter<double> &_param, std::string title, std::string _description) :
+    Dialog::DoubleQuery(_param, title,_description)
 {}
 
@@ -39,6 +39,5 @@
     badInput = false;
     std::cout << getDescription() << ": ";\
-    double temp_double;
-    std::cin >> temp_double;
+    std::cin >> temp;
     if(std::cin.fail()){
       badInput = true;
@@ -46,6 +45,6 @@
       std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
       std::cout << "Input was not a number!" << std::endl;
-    }
-    tmp.set(temp_double);
+    }else
+      param.set(temp);
   }while(badInput);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
Index: src/UIElements/TextUI/Query/DoublesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::DoublesTextQuery::DoublesTextQuery(Parameter<std::vector<double> > &param, std::string title, std::string _description) :
-    Dialog::DoublesQuery(param, title,_description)
+TextDialog::DoublesTextQuery::DoublesTextQuery(Parameter<std::vector<double> > &_param, std::string title, std::string _description) :
+    Dialog::DoublesQuery(_param, title,_description)
 {}
 
@@ -40,10 +40,9 @@
   // dissect by " "
   std::string::iterator olditer = line.begin();
-  std::vector<double> temp_doubles;
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
     if (*iter == ' ') {
       std::istringstream stream(std::string(iter, olditer));
-      stream >> temp;
-      temp_doubles.push_back(temp);
+      stream >> temp_element;
+      temp.push_back(temp_element);
       olditer = iter;
     }
@@ -51,8 +50,8 @@
   if (olditer != line.begin()) { // insert last part also
     std::istringstream stream(std::string(olditer, line.end()));
-    stream >> temp;
-    temp_doubles.push_back(temp);
+    stream >> temp_element;
+    temp.push_back(temp_element);
   }
-  tmp.set(temp_doubles);
+  param.set(temp);
 
   return true;
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::ElementTextQuery::ElementTextQuery(Parameter<const element *> &param, std::string title, std::string _description) :
-    Dialog::ElementQuery(param, title,_description)
+TextDialog::ElementTextQuery::ElementTextQuery(Parameter<const element *> &_param, std::string title, std::string _description) :
+    Dialog::ElementQuery(_param, title,_description)
 {}
 
@@ -41,5 +41,5 @@
   bool badInput=false;
   bool aborted = false;
-  const element * temp = NULL;
+  temp = NULL;
   do{
     badInput = false;
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -35,6 +35,6 @@
 
 
-TextDialog::ElementsTextQuery::ElementsTextQuery(Parameter<std::vector<const element *> > &param, std::string title, std::string _description) :
-    Dialog::ElementsQuery(param, title,_description)
+TextDialog::ElementsTextQuery::ElementsTextQuery(Parameter<std::vector<const element *> > &_param, std::string title, std::string _description) :
+    Dialog::ElementsQuery(_param, title,_description)
 {}
 
@@ -50,5 +50,4 @@
   // dissect by " "
   std::string::iterator olditer = line.begin();
-  std::vector<const element *> temp_elements;
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
     if (*iter == ' ') {
@@ -57,13 +56,13 @@
       try {
         Z = lexical_cast<int>(shorthand);
-        temp = World::getInstance().getPeriode()->FindElement(Z);
+        temp_element = World::getInstance().getPeriode()->FindElement(Z);
       } catch (bad_lexical_cast) {
-        temp = World::getInstance().getPeriode()->FindElement(shorthand.c_str());
+        temp_element = World::getInstance().getPeriode()->FindElement(shorthand.c_str());
       };
-      if(!temp && Z!=-1){
+      if(!temp_element && Z!=-1){
         std::cout << "Invalid Element" << shorthand << std::endl;
         break;
       }
-      temp_elements.push_back(temp);
+      temp.push_back(temp_element);
       olditer = iter;
     }
@@ -74,14 +73,14 @@
     try {
       Z = lexical_cast<int>(shorthand);
-      temp = World::getInstance().getPeriode()->FindElement(Z);
+      temp_element = World::getInstance().getPeriode()->FindElement(Z);
     } catch (bad_lexical_cast) {
-      temp = World::getInstance().getPeriode()->FindElement(shorthand.c_str());
+      temp_element = World::getInstance().getPeriode()->FindElement(shorthand.c_str());
     };
-    if(!temp && Z!=-1) {
+    if(!temp_element && Z!=-1) {
       std::cout << "Invalid Element" << shorthand << std::endl;
-      temp_elements.push_back(temp);
+      temp.push_back(temp_element);
     }
   }
-  tmp.set(temp_elements);
+  param.set(temp);
 
   return (Z!=-1);
Index: src/UIElements/TextUI/Query/FileTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::FileTextQuery::FileTextQuery(Parameter<boost::filesystem::path> &param, std::string title, std::string _description) :
-    Dialog::FileQuery(param, title,_description)
+TextDialog::FileTextQuery::FileTextQuery(Parameter<boost::filesystem::path> &_param, std::string title, std::string _description) :
+    Dialog::FileQuery(_param, title,_description)
 {}
 
@@ -39,9 +39,8 @@
 bool TextDialog::FileTextQuery::handle() {
   bool badInput = false;
-  std::string tempstring;
   do{
     badInput = false;
     std::cout << getDescription() << ": ";
-    std::cin >> tempstring;
+    std::cin >> temp;
     if(std::cin.fail()){
       badInput = true;
@@ -53,5 +52,5 @@
   } while(badInput);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  tmp.set(tempstring);
+  param.set(temp);
   return true;
 }
Index: src/UIElements/TextUI/Query/FilesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::FilesTextQuery::FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &param, std::string title, std::string _description) :
-    Dialog::FilesQuery(param, title,_description)
+TextDialog::FilesTextQuery::FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &_param, std::string title, std::string _description) :
+    Dialog::FilesQuery(_param, title,_description)
 {}
 
@@ -64,5 +64,5 @@
   } while(continueflag);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  tmp.set(tempfiles);
+  param.set(tempfiles);
   return true;
 }
Index: src/UIElements/TextUI/Query/IntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::IntTextQuery::IntTextQuery(Parameter<int> &param, std::string title, std::string _description) :
-    Dialog::IntQuery(param, title,_description)
+TextDialog::IntTextQuery::IntTextQuery(Parameter<int> &_param, std::string title, std::string _description) :
+    Dialog::IntQuery(_param, title,_description)
 {}
 
@@ -39,7 +39,5 @@
     badInput = false;
     std::cout << getDescription() << ": ";
-    int temp_int;
-    std::cin >> temp_int;
-    tmp.set(temp_int);
+    std::cin >> temp;
     if(std::cin.fail()){
       badInput=true;
@@ -47,5 +45,6 @@
       std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
       std::cout << "Input was not a number!" << std::endl;
-    }
+    }else
+      param.set(temp);
   } while(badInput);
   // clear the input buffer of anything still in the line
Index: src/UIElements/TextUI/Query/IntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::IntsTextQuery::IntsTextQuery(Parameter<std::vector<int> > &param, std::string title, std::string _description) :
-    Dialog::IntsQuery(param, title,_description)
+TextDialog::IntsTextQuery::IntsTextQuery(Parameter<std::vector<int> > &_param, std::string title, std::string _description) :
+    Dialog::IntsQuery(_param, title,_description)
 {}
 
@@ -39,11 +39,10 @@
   getline(std::cin,line);
   // dissect by " "
-  std::vector<int> temp_int;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
     if (*iter == ' ') {
       std::istringstream stream(std::string(iter, olditer));
-      stream >> temp;
-      temp_int.push_back(temp);
+      stream >> temp_element;
+      temp.push_back(temp_element);
       olditer = iter;
     }
@@ -51,8 +50,8 @@
   if (olditer != line.begin()) { // insert last part also
     std::istringstream stream(std::string(olditer, line.end()));
-    stream >> temp;
-    temp_int.push_back(temp);
+    stream >> temp_element;
+    temp.push_back(temp_element);
   }
-  tmp.set(temp_int);
+  param.set(temp);
 
   return true;
Index: src/UIElements/TextUI/Query/MoleculeTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::MoleculeTextQuery::MoleculeTextQuery(Parameter<const molecule *> &param, std::string title, std::string _description) :
-    Dialog::MoleculeQuery(param, title,_description)
+TextDialog::MoleculeTextQuery::MoleculeTextQuery(Parameter<const molecule *> &_param, std::string title, std::string _description) :
+    Dialog::MoleculeQuery(_param, title,_description)
 {}
 
@@ -52,10 +52,10 @@
     }
 
-    const molecule *temp_mol = World::getInstance().getMolecule(MoleculeById(idxOfMol));
-    if(!temp_mol && idxOfMol!=-1){
+    temp = World::getInstance().getMolecule(MoleculeById(idxOfMol));
+    if(!temp && idxOfMol!=-1){
       std::cout << "Invalid Molecule Index" << std::endl;
       badInput = true;
     }
-    tmp.set(temp_mol);
+    param.set(temp);
 
   } while(badInput);
Index: src/UIElements/TextUI/Query/MoleculesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::MoleculesTextQuery::MoleculesTextQuery(Parameter<std::vector<const molecule *> > &param, std::string title, std::string _description) :
-    Dialog::MoleculesQuery(param, title,_description)
+TextDialog::MoleculesTextQuery::MoleculesTextQuery(Parameter<std::vector<const molecule *> > &_param, std::string title, std::string _description) :
+    Dialog::MoleculesQuery(_param, title,_description)
 {}
 
@@ -43,5 +43,4 @@
   getline(std::cin,line);
   // dissect by " "
-  std::vector<const molecule *> temp_mols;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
@@ -49,10 +48,10 @@
       std::istringstream stream(std::string(iter, olditer));
       stream >> idxOfMol;
-      temp = World::getInstance().getMolecule(MoleculeById(idxOfMol));
-      if(!temp && idxOfMol!=-1){
+      temp_element = World::getInstance().getMolecule(MoleculeById(idxOfMol));
+      if(!temp_element && idxOfMol!=-1){
         std::cout << "Invalid Molecule Index" << idxOfMol << std::endl;
         break;
       }
-      temp_mols.push_back(temp);
+      temp.push_back(temp_element);
       olditer = iter;
     }
@@ -61,11 +60,11 @@
     std::istringstream stream(std::string(olditer, line.end()));
     stream >> idxOfMol;
-    temp = World::getInstance().getMolecule(MoleculeById(idxOfMol));
-    if(!temp && idxOfMol!=-1){
+    temp_element = World::getInstance().getMolecule(MoleculeById(idxOfMol));
+    if(!temp_element && idxOfMol!=-1){
       std::cout << "Invalid Molecule Index" << idxOfMol << std::endl;
-      temp_mols.push_back(temp);
+      temp.push_back(temp_element);
     }
   }
-  tmp.set(temp_mols);
+  param.set(temp);
 
   return (idxOfMol!=-1);
Index: src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -30,6 +30,6 @@
 #include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
 
-TextDialog::RandomNumberDistribution_ParametersTextQuery::RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &param, std::string title, std::string _description) :
-    Dialog::RandomNumberDistribution_ParametersQuery(param, title,_description)
+TextDialog::RandomNumberDistribution_ParametersTextQuery::RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string title, std::string _description) :
+    Dialog::RandomNumberDistribution_ParametersQuery(_param, title,_description)
 {}
 
@@ -43,7 +43,5 @@
     std::cout << "Please enter parameters as follows: 'p=0.5;'";
     std::cout << "Empty line terminates." << std::endl;
-    RandomNumberDistribution_Parameters temp_params;
-    std::cin >> temp_params;
-    tmp.set(temp_params);
+    std::cin >> temp;
     if(std::cin.fail()){
       badInput = true;
@@ -53,4 +51,5 @@
       continue;
     }
+    param.set(temp);
 
   } while(badInput);
Index: src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -29,6 +29,6 @@
 
 
-TextDialog::RealSpaceMatrixTextQuery::RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &param, std::string title, std::string _description) :
-    Dialog::RealSpaceMatrixQuery(param, title,_description)
+TextDialog::RealSpaceMatrixTextQuery::RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &_param, std::string title, std::string _description) :
+    Dialog::RealSpaceMatrixQuery(_param, title,_description)
 {}
 
@@ -39,22 +39,21 @@
   std::cout << getTitle();
 
-  double temp[6];
+  double dtemp[6];
   std::cout << getDescription() << " - ";
   std::string coords[6] = {"xx","yx","yy", "zx", "zy", "zz"};
   for (int i=0;i<6;i++) {
     std::cout << coords[i] << ": ";
-    std::cin >> temp[i];
+    std::cin >> dtemp[i];
   }
-  RealSpaceMatrix M;
-  M.set(0,0, temp[0]);
-  M.set(0,1, temp[1]);
-  M.set(0,2, temp[2]);
-  M.set(1,0, temp[1]);
-  M.set(1,1, temp[3]);
-  M.set(1,2, temp[4]);
-  M.set(2,0, temp[2]);
-  M.set(2,1, temp[4]);
-  M.set(2,2, temp[5]);
-  tmp.set(M);
+  temp.set(0,0, dtemp[0]);
+  temp.set(0,1, dtemp[1]);
+  temp.set(0,2, dtemp[2]);
+  temp.set(1,0, dtemp[1]);
+  temp.set(1,1, dtemp[3]);
+  temp.set(1,2, dtemp[4]);
+  temp.set(2,0, dtemp[2]);
+  temp.set(2,1, dtemp[4]);
+  temp.set(2,2, dtemp[5]);
+  param.set(temp);
   return true;
 }
Index: src/UIElements/TextUI/Query/StringTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::StringTextQuery::StringTextQuery(Parameter<std::string> &param, std::string title, std::string _description) :
-    Dialog::StringQuery(param, title,_description)
+TextDialog::StringTextQuery::StringTextQuery(Parameter<std::string> &_param, std::string title, std::string _description) :
+    Dialog::StringQuery(_param, title,_description)
 {}
 
@@ -36,7 +36,6 @@
 bool TextDialog::StringTextQuery::handle() {
   std::cout << getDescription() << ": ";
-  std::string temp_string;
-  getline(std::cin,temp_string);
-  tmp.set(temp_string);
+  getline(std::cin,temp);
+  param.set(temp);
   return true;
 }
Index: src/UIElements/TextUI/Query/StringsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::StringsTextQuery::StringsTextQuery(Parameter<std::vector<std::string> > &param, std::string title, std::string _description) :
-    Dialog::StringsQuery(param, title,_description)
+TextDialog::StringsTextQuery::StringsTextQuery(Parameter<std::vector<std::string> > &_param, std::string title, std::string _description) :
+    Dialog::StringsQuery(_param, title,_description)
 {}
 
@@ -36,17 +36,16 @@
 bool TextDialog::StringsTextQuery::handle() {
   std::cout << getDescription() << ": ";
-  getline(std::cin,temp);
+  getline(std::cin,temp_element);
   // dissect by " "
-  std::vector<std::string> temp_strings;
-  std::string::iterator olditer = temp.begin();
-  for(std::string::iterator iter = temp.begin(); iter != temp.end(); ++iter) {
+  std::string::iterator olditer = temp_element.begin();
+  for(std::string::iterator iter = temp_element.begin(); iter != temp_element.end(); ++iter) {
     if (*iter == ' ') {
-      temp_strings.push_back(std::string(iter, olditer));
+      temp.push_back(std::string(iter, olditer));
       olditer = iter;
     }
   }
-  if (olditer != temp.begin())  // insert last part also
-    temp_strings.push_back(std::string(olditer, temp.end()));
-  tmp.set(temp_strings);
+  if (olditer != temp_element.begin())  // insert last part also
+    temp.push_back(std::string(olditer, temp_element.end()));
+  param.set(temp);
 
   return true;
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -152,5 +152,5 @@
 class TextDialog::VectorTextQuery : public Dialog::VectorQuery {
 public:
-  VectorTextQuery(Parameter<Vector> &, std::string title,bool _check, std::string _description = NULL);
+  VectorTextQuery(Parameter<Vector> &, std::string title, std::string _description = NULL);
   virtual ~VectorTextQuery();
   virtual bool handle();
@@ -159,5 +159,5 @@
 class TextDialog::VectorsTextQuery : public Dialog::VectorsQuery {
 public:
-  VectorsTextQuery(Parameter<std::vector<Vector> > &, std::string title,bool _check, std::string _description = NULL);
+  VectorsTextQuery(Parameter<std::vector<Vector> > &, std::string title, std::string _description = NULL);
   virtual ~VectorsTextQuery();
   virtual bool handle();
Index: src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::UnsignedIntTextQuery::UnsignedIntTextQuery(Parameter<unsigned int> &param, std::string title, std::string _description) :
-    Dialog::UnsignedIntQuery(param, title,_description)
+TextDialog::UnsignedIntTextQuery::UnsignedIntTextQuery(Parameter<unsigned int> &_param, std::string title, std::string _description) :
+    Dialog::UnsignedIntQuery(_param, title,_description)
 {}
 
@@ -39,6 +39,5 @@
     badInput = false;
     std::cout << getDescription() << ": ";
-    unsigned int temp_uint;
-    std::cin >> temp_uint;
+    std::cin >> temp;
     if(std::cin.fail()){
       badInput=true;
@@ -46,6 +45,6 @@
       std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
       std::cout << "Input was not a number!" << std::endl;
-    }
-    tmp.set(temp_uint);
+    }else
+      param.set(temp);
   } while(badInput);
   // clear the input buffer of anything still in the line
Index: src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -28,6 +28,6 @@
 
 
-TextDialog::UnsignedIntsTextQuery::UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &param, std::string title, std::string _description) :
-    Dialog::UnsignedIntsQuery(param, title,_description)
+TextDialog::UnsignedIntsTextQuery::UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &_param, std::string title, std::string _description) :
+    Dialog::UnsignedIntsQuery(_param, title,_description)
 {}
 
@@ -39,11 +39,10 @@
   getline(std::cin,line);
   // dissect by " "
-  std::vector<unsigned int> temp_uints;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
     if (*iter == ' ') {
       std::istringstream stream(std::string(iter, olditer));
-      stream >> temp;
-      temp_uints.push_back(temp);
+      stream >> temp_element;
+      temp.push_back(temp_element);
       olditer = iter;
     }
@@ -51,8 +50,8 @@
   if (olditer != line.begin()) { // insert last part also
     std::istringstream stream(std::string(olditer, line.end()));
-    stream >> temp;
-    temp_uints.push_back(temp);
+    stream >> temp_element;
+    temp.push_back(temp_element);
   }
-  tmp.set(temp_uints);
+  param.set(temp);
 
   return true;
Index: src/UIElements/TextUI/Query/VectorTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::VectorTextQuery::VectorTextQuery(Parameter<Vector> &param, std::string title, bool _check, std::string _description) :
-    Dialog::VectorQuery(param, title,_check,_description)
+TextDialog::VectorTextQuery::VectorTextQuery(Parameter<Vector> &_param, std::string title, std::string _description) :
+    Dialog::VectorQuery(_param, title,_description)
 {}
 
@@ -48,6 +48,4 @@
   getline(std::cin,line);
 
-  Vector temp_vector;
-
   // dissect by ","
   double coord = 0.;
@@ -58,5 +56,5 @@
       std::istringstream stream(std::string(iter, olditer));
       stream >> coord;
-      temp_vector[counter++] = coord;
+      temp[counter++] = coord;
       olditer = iter;
     }
@@ -65,10 +63,10 @@
     std::istringstream stream(std::string(olditer, line.end()));
     stream >> coord;
-    temp_vector[counter++] = coord;
+    temp[counter++] = coord;
   }
-  tmp.set(temp_vector);
+  param.set(temp);
 
   // check vector
-  return World::getInstance().getDomain().isValid(temp_vector);
+  return World::getInstance().getDomain().isValid(temp);
 }
 
Index: src/UIElements/TextUI/Query/VectorsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -31,6 +31,6 @@
 
 
-TextDialog::VectorsTextQuery::VectorsTextQuery(Parameter<std::vector<Vector> > &param, std::string title, bool _check, std::string _description) :
-    Dialog::VectorsQuery(param, title,_check,_description)
+TextDialog::VectorsTextQuery::VectorsTextQuery(Parameter<std::vector<Vector> > &_param, std::string title, std::string _description) :
+    Dialog::VectorsQuery(_param, title,_description)
 {}
 
@@ -50,5 +50,4 @@
   // dissect by ","
   double coord = 0.;
-  std::vector<Vector> temp_vectors;
   std::string::iterator olditerspace = line.begin();
   std::string::iterator olditercomma = line.begin();
@@ -63,5 +62,5 @@
           std::istringstream stream(std::string(componentiter, olditercomma));
           stream >> coord;
-          temp[counter++] = coord;
+          temp_element[counter++] = coord;
           olditercomma = componentiter;
         }
@@ -70,12 +69,12 @@
         std::istringstream stream(std::string(olditercomma, vectoriter));
         stream >> coord;
-        temp[counter++] = coord;
+        temp_element[counter++] = coord;
       }
-      if (World::getInstance().getDomain().isValid(temp))
-        temp_vectors.push_back(temp);
+      if (World::getInstance().getDomain().isValid(temp_element))
+        temp.push_back(temp_element);
       olditerspace = vectoriter;
     }
   }
-  tmp.set(temp_vectors);
+  param.set(temp);
 
   return true;
Index: src/UIElements/TextUI/TextDialog.cpp
===================================================================
--- src/UIElements/TextUI/TextDialog.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/TextDialog.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -38,87 +38,88 @@
 }
 
-void TextDialog::queryBoolean(Parameter<bool> &param, const char* title, std::string description){
-  registerQuery(new BooleanTextQuery(param, title,description));
+void TextDialog::queryBoolean(Parameter<bool> &_param, const char* title, std::string description){
+  registerQuery(new BooleanTextQuery(_param, title,description));
 }
 
-void TextDialog::queryInt(Parameter<int> &param, const char* title, std::string description){
-  registerQuery(new IntTextQuery(param, title,description));
+void TextDialog::queryInt(Parameter<int> &_param, const char* title, std::string description){
+  registerQuery(new IntTextQuery(_param, title,description));
 }
 
-void TextDialog::queryInts(Parameter<std::vector<int> > &param, const char* title, std::string description){
-  registerQuery(new IntsTextQuery(param, title,description));
+void TextDialog::queryInts(Parameter<std::vector<int> > &_param, const char* title, std::string description){
+  registerQuery(new IntsTextQuery(_param, title,description));
 }
 
-void TextDialog::queryUnsignedInt(Parameter<unsigned int> &param, const char* title, std::string description){
-  registerQuery(new UnsignedIntTextQuery(param, title,description));
+void TextDialog::queryUnsignedInt(Parameter<unsigned int> &_param, const char* title, std::string description){
+  registerQuery(new UnsignedIntTextQuery(_param, title,description));
 }
 
-void TextDialog::queryUnsignedInts(Parameter<std::vector<unsigned int> > &param, const char* title, std::string description){
-  registerQuery(new UnsignedIntsTextQuery(param, title,description));
+void TextDialog::queryUnsignedInts(Parameter<std::vector<unsigned int> > &_param, const char* title, std::string description){
+  registerQuery(new UnsignedIntsTextQuery(_param, title,description));
 }
 
-void TextDialog::queryDouble(Parameter<double> &param, const char* title, std::string description){
-  registerQuery(new DoubleTextQuery(param, title,description));
+void TextDialog::queryDouble(Parameter<double> &_param, const char* title, std::string description){
+  registerQuery(new DoubleTextQuery(_param, title,description));
 }
 
-void TextDialog::queryDoubles(Parameter<std::vector<double> > &param, const char* title, std::string description){
-  registerQuery(new DoublesTextQuery(param, title,description));
+void TextDialog::queryDoubles(Parameter<std::vector<double> > &_param, const char* title, std::string description){
+  registerQuery(new DoublesTextQuery(_param, title,description));
 }
 
-void TextDialog::queryString(Parameter<std::string> &param, const char* title, std::string description){
-  registerQuery(new StringTextQuery(param, title,description));
+void TextDialog::queryString(Parameter<std::string> &_param, const char* title, std::string description){
+  registerQuery(new StringTextQuery(_param, title,description));
 }
 
-void TextDialog::queryStrings(Parameter<std::vector<std::string> > &param, const char* title, std::string description){
-  registerQuery(new StringsTextQuery(param, title,description));
+void TextDialog::queryStrings(Parameter<std::vector<std::string> > &_param, const char* title, std::string description){
+  registerQuery(new StringsTextQuery(_param, title,description));
 }
 
-void TextDialog::queryAtom(Parameter<const atom *> &param, const char* title, std::string description) {
-  registerQuery(new AtomTextQuery(param, title,description));
+void TextDialog::queryAtom(Parameter<const atom *> &_param, const char* title, std::string description) {
+  registerQuery(new AtomTextQuery(_param, title,description));
 }
 
-void TextDialog::queryAtoms(Parameter<std::vector<const atom *> > &param, const char* title, std::string description) {
-  registerQuery(new AtomsTextQuery(param, title,description));
+void TextDialog::queryAtoms(Parameter<std::vector<const atom *> > &_param, const char* title, std::string description) {
+  registerQuery(new AtomsTextQuery(_param, title,description));
 }
 
-void TextDialog::queryMolecule(Parameter<const molecule *> &param, const char* title, std::string description) {
-  registerQuery(new MoleculeTextQuery(param, title,description));
+void TextDialog::queryMolecule(Parameter<const molecule *> &_param, const char* title, std::string description) {
+  registerQuery(new MoleculeTextQuery(_param, title,description));
 }
 
-void TextDialog::queryMolecules(Parameter<std::vector<const molecule *> > &param, const char* title, std::string description) {
-  registerQuery(new MoleculesTextQuery(param, title,description));
+void TextDialog::queryMolecules(Parameter<std::vector<const molecule *> > &_param, const char* title, std::string description) {
+  registerQuery(new MoleculesTextQuery(_param, title,description));
 }
 
-void TextDialog::queryVector(Parameter<Vector> &param, const char* title, bool check, std::string description) {
-  registerQuery(new VectorTextQuery(param, title,check,description));
+void TextDialog::queryVector(Parameter<Vector> &_param, const char* title, std::string description) {
+  registerQuery(new VectorTextQuery(_param, title,description));
 }
 
-void TextDialog::queryVectors(Parameter<std::vector<Vector> > &param, const char* title, bool check, std::string description) {
-  registerQuery(new VectorsTextQuery(param, title,check,description));
+void TextDialog::queryVectors(Parameter<std::vector<Vector> > &_param, const char* title, std::string description) {
+  registerQuery(new VectorsTextQuery(_param, title,description));
 }
 
-void TextDialog::queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &param, const char* title, std::string description) {
-  registerQuery(new RealSpaceMatrixTextQuery(param, title,description));
+void TextDialog::queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &_param, const char* title, std::string description) {
+  registerQuery(new RealSpaceMatrixTextQuery(_param, title,description));
 }
 
-void TextDialog::queryElement(Parameter<const element *> &param, const char* title, std::string description){
-  registerQuery(new ElementTextQuery(param, title,description));
+void TextDialog::queryElement(Parameter<const element *> &_param, const char* title, std::string description){
+  registerQuery(new ElementTextQuery(_param, title,description));
 }
 
-void TextDialog::queryElements(Parameter<std::vector<const element *> > &param, const char* title, std::string description){
-  registerQuery(new ElementsTextQuery(param, title,description));
+void TextDialog::queryElements(Parameter<std::vector<const element *> > &_param, const char* title, std::string description){
+  registerQuery(new ElementsTextQuery(_param, title,description));
 }
 
-void TextDialog::queryFile(Parameter<boost::filesystem::path> &param, const char* title, std::string description){
-  registerQuery(new FileTextQuery(param, title,description));
+void TextDialog::queryFile(Parameter<boost::filesystem::path> &_param, const char* title, std::string description){
+  registerQuery(new FileTextQuery(_param, title,description));
 }
 
-void TextDialog::queryFiles(Parameter<std::vector< boost::filesystem::path> > &param, const char* title, std::string description){
-  registerQuery(new FilesTextQuery(param, title,description));
+void TextDialog::queryFiles(Parameter<std::vector< boost::filesystem::path> > &_param, const char* title, std::string description){
+  registerQuery(new FilesTextQuery(_param, title,description));
 }
 
-void TextDialog::queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &param, const char* title, std::string description){
-  registerQuery(new RandomNumberDistribution_ParametersTextQuery(param, title,description));
+void TextDialog::queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &_param, const char* title, std::string description){
+  registerQuery(new RandomNumberDistribution_ParametersTextQuery(_param, title,description));
 }
+
 
 /************************** Query Infrastructure ************************/
Index: src/UIElements/TextUI/TextDialog.hpp
===================================================================
--- src/UIElements/TextUI/TextDialog.hpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
+++ src/UIElements/TextUI/TextDialog.hpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
@@ -45,6 +45,6 @@
   virtual void queryMolecule(Parameter<const molecule *> &, const char*,std::string = "");
   virtual void queryMolecules(Parameter<std::vector<const molecule *> > &, const char*,std::string = "");
-  virtual void queryVector(Parameter<Vector> &, const char*,bool, std::string = "");
-  virtual void queryVectors(Parameter<std::vector<Vector> > &, const char*,bool, std::string = "");
+  virtual void queryVector(Parameter<Vector> &, const char*, std::string = "");
+  virtual void queryVectors(Parameter<std::vector<Vector> > &, const char*, std::string = "");
   virtual void queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &, const char*, std::string = "");
   virtual void queryElement(Parameter<const element *> &, const char*, std::string = "");
